
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>kconfig-linux内核模块N多文件Makefile写法 / iVAN</title>

    <meta name="description" content="kconfig-linux内核模块N多文件Makefile写法 问题描述 linux内核模块N多文件Makefile写法 现在有一个大型的用户层驱动程序(目标文件是一个.o) 要移植到内核层,以模块的形式加载.那么问题来了,如此多的源文件还是必须按照内核模块Makefile那样: obj-m: mode.o mode.o-y: a.o b.o c.o d.o ..... 这种方式吗?那不是整个驱动的代码结构都要重构?所有的源文件里的头文件目录也有重写?这不科学啊....肯定还有其它的办法对不对?!虽对内核模块有一定的了解但实际干的事很少,所以在此向大神们虚心">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">kconfig-linux内核模块N多文件Makefile写法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>linux内核模块N多文件Makefile写法
        </dt>
<dd>
          <br />现在有一个大型的用户层驱动程序(目标文件是一个.o)   要移植到内核层，以模块的形式加载。那么问题来了，如此多的源文件还是必须按照内核模块Makefile那样：<br />
obj-m: mode.o<br />
mode.o-y: a.o b.o c.o d.o .....<br />
这种方式吗？那不是整个驱动的代码结构都要重构？所有的源文件里的头文件目录也有重写？这不科学啊。。。。肯定还有其它的办法对不对？！虽对内核模块有一定的了解但实际干的事很少，所以在此向大神们虚心请教！</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>不明白你的问题，这个和代码结构有什么关系，你难道不是通过insmod 去增加你的驱动么。你原来是.o文件，现在编译成.ko就好了啊</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 09:26:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%86%85%e6%a0%b8/" title="内核">内核</a>, <a href="https://www.iamivan.net/tag/makefile/" title="makefile">makefile</a>, <a href="https://www.iamivan.net/tag/kconfig/" title="kconfig">kconfig</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>kconfig-linux内核模块N多文件Makefile写法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZgl4b.html" rel="bookmark">【Linux驱动】linux内核模块简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 摘要 这篇文章主要介绍了Linux内核模块的相关概念,以及简单的模块开发过程.主要从模块开发中的常用指令.内核模块程序的结构.模块使用计数以及模块的编译等角度对内核模块进行介绍.在Linux系统开发过程中,以模块的形式开发其重要性不言自明,而在嵌入式设备驱动开发中将驱动程序以模块的形式发布,更是极大地提高了设备使用的灵活性--用户只需要拿到相关驱动模块,再插入到用户的内核中,即可灵活地使用你的设备. 二. 文章提纲 1. 摘要 2. 文章提纲 3. 概述 4. 模块开发常用的指令 5. 内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NA3yM.html" rel="bookmark">编写属于你的第一个Linux内核模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内核编程常常看起来像是黑魔法,而在亚瑟 C 克拉克的眼中,它八成就是了.Linux内核和它的用户空间是大不相同的:抛开漫不经心,你必须小心翼翼,因为你编程中的一个bug就会影响到整个系统.浮点运算做起来可不容易,堆栈固定而狭小,而你写的代码总是异步的,因此你需要想想并发会导致什么.而除了所有这一切之外,Linux内核只是一个很大的.很复杂的C程序,它对每个人开放,任何人都去读它.学习它并改进它,而你也可以是其中之一. 学习内核编程的最简单的方式也许就是写个内核模块:一段可以动态加载进内核的代码.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2wBeb.html" rel="bookmark">黑客内核：编写属于你的第一个Linux内核模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				黑客内核:编写属于你的第一个Linux内核模块 曾经多少次想要在内核游荡?曾经多少次茫然不知方向?你不要再对着它迷惘,让我们指引你走向前方-- 内核编程常常看起来像是黑魔法,而在亚瑟 C 克拉克的眼中,它八成就是了.Linux内核和它的用户空间是大不相同的:抛开漫不经心,你必须小心翼翼,因为你编程中的一个bug就会影响到整个系统.浮点运算做起来可不容易,堆栈固定而狭小,而你写的代码总是异步的,因此你需要想想并发会导致什么.而除了所有这一切之外,Linux内核只是一个很大的.很复杂的C程序,它对每			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRBa3b.html" rel="bookmark">linux驱动-linux内核模块依赖问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux内核模块依赖问题 最近修改内核源码,发现模块A的编译过程中,模块A需要依赖模块B和模块C 在编译模块时,A.mod.o的文件中也明确有这一条 depends=bb,cc,dd 那么请问,**在编译过程中**,是在那个地方记录了这个依赖关系? 解决方案 kconfig配置文件中吧!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RXOdp.html" rel="bookmark">Linux内核模块管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux内核采用的是模块化技术,这样的设计使得系统内核可以保持最小化,同时确保了内核的可扩展性与可维护性,模块化设计允许我们在需要时才将模块加载至内核,实现动态内核调整.本文重点关注方法与思路,具体实现可以参考kernel-doc文档. 2.9.1 内核模块存放位置 Linux内核模块文件的命名方式通常为&lt;模块名称.ko&gt;,CentOS 6.3系统的内核模块被集中存放在/lib/modules/`uname -r`/[1]目录下(uname -r获得的信息为当前内核的版本号).下面通过几个实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M161Xxp.html" rel="bookmark">linux kernel 模块多文件编译</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/*************************************************************************** * linux kernel 模块多文件编译 * 声明: * 本文主要是记录在调试驱动的阶段,我们可能会更倾向于使用模块插入的方式 * 来进行驱动调试,这样可以大大缩短调试时间.之前在调试gt9xx Touch的时候也 * 是采用这种方式,这里还是记录一下,日后方便查找. * * 2016-2-2 深圳 南山平山村 曾剑锋 **********			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNYeGb.html" rel="bookmark">Linux下解压rar文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正常rar是windows下的压缩文件,linux是不支持的.但是可以通过安装rarlinux来使用rar命令解压rar文件. 首先下载rarlinux [root@localhost ~]# wget http://rarsoft.com/rar/rarlinux-4.0.1.tar.gz --2015-07-17 22:59:37-- http://rarsoft.com/rar/rarlinux-4.0.1.tar.gz Resolving rarsoft.com... 5.135.104			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6eYXb.html" rel="bookmark">Linux中svn提交文件后自动同步更新到网站目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 下面来为各位介绍Linux中svn提交文件后自动同步更新到网站目录希望文章对各位有帮助．     有时,对于多文件需要上传到服务器的时候将会很麻烦,但是如果使用svn的钩子脚本就容易实现本地提交svn后,自动同步代码文件到远程服务器的网站目录下,而不必手动上传了. 首先,在网站目录下checkout代码,例如我的目录是/data/www/test svn co https://127.0.0.1/test/trunk/ /data/www/test/ 注意,这是因为有时我会在服务器上直接修改代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMywnlz.html" rel="bookmark">【LINUX学习】链接文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux下的连接文件和windows下的快捷方式有点像.不过linux 下有硬链接和软链接两种. 硬链接:     是在某个目录下新增一个源链接文件的关联数据.比如 为/etc/passwd 创建一个硬链接/tmp/passwd-hd  其实就是这两个文件是同一个文件,通过etc 目录中的passwd 文件可以知道passwd 的inode 放在A处,而tmp 目录中的pass-hd 也指向A处,所以passwd 这个文件的inode 和 block 都没有改变. 硬链接的限制: 1 不能分区			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlB4Dz.html" rel="bookmark" class="title">nginx-the plain http request was sent to https port</a>
					<div>
						问题描述 the plain http request was sent to https port 更新war包后,一个页面跳转的时候报the plain http request was sent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlKJRb.html" rel="bookmark" class="title">STL stack应用</a>
					<div>
						1. 概念  stack是一种LIFO(last-in first-out)的数据结构,其只允许在容器的尾部对数据进行操作,如下:  stack定义如下:  Stacks are a type of  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBvRJb.html" rel="bookmark" class="title">Java实现文件拷贝的测试</a>
					<div>
						经过一组简单的测试发现JAVA NIO提供的文件内存映射方法实现文件拷贝速度最快,不管是大文件还是小文件,特别是大文件的拷贝速度比普通方法提高20倍,唯一有个前提就是内存需要足够大,否则文件映射肯定失 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR0BRz.html" rel="bookmark" class="title">C&num;实现的中国象棋程序开发笔记</a>
					<div>
						最近,和朋友下象棋,然后想到这个多年陈旧的代码(这些代码有些参考了网络的一些帖子),曾经因为不知道如何实现人机对战而放弃继续研究.如今,这位朋友,给了我又重新找回来的兴趣,所以来这里请大家帮忙,如何实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAN8Lb.html" rel="bookmark" class="title">Photoshop给草地人物调出淡调蓝黄色技巧</a>
					<div>
						图片基本都是绿色,转蓝黄色的时候,需要把图片中的绿色转为较淡的橙黄色,暗部用曲线等增加蓝色.然后把整体稍微调淡即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选颜色调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa4VZz.html" rel="bookmark" class="title">关于系统提示&amp;quot&semi;登录进程初始化失败&amp;quot&semi;怎么办</a>
					<div>
						  Windows 7/Windows vista 启动提示&quot;登录进程初始化失败&quot;的问题,无法进入桌面.(如下图) Windows XP 启动后反复蓝屏重启,错误代码:0x0000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8eyGb.html" rel="bookmark" class="title">电脑摄像头安装使用常见故障</a>
					<div>
						  1.使用过程中,在弹出图像框后,出现白屏或黑屏,怎么办? 请参照说明书中的注意事项更改设置.可能是摄像头软件中的&quot;Option&quot; 菜单下的&quot;Preview&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZPLZb.html" rel="bookmark" class="title">用配置文件来实现敏感词汇过滤的功能。。。配置文件怎么写啊。。。</a>
					<div>
						问题描述 用配置文件来实现敏感词汇过滤的功能...配置文件怎么写啊... 我要做敏感词汇过滤的功能,需要读取敏感词汇文件,一大神告诉我用配置文件来实现,但是我不知道配置文件该如何写...请各位大神帮下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YA6KM.html" rel="bookmark" class="title">后台管理UI的选择</a>
					<div>
						目录 一.EasyUI 二.DWZ JUI 三.HUI 四.BUI 五.Ace Admin 六.Metronic 七.H+ UI 八.Admin LTE 九.INSPINIA 十.LigerUI 十一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEG3Bp.html" rel="bookmark" class="title">闲话Promise机制</a>
					<div>
						Promise的诞生与Javascript中异步编程息息相关,js中异步编程主要指的是setTimout/setInterval.DOM事件机制.ajax,通过传入回调函数实现控制反转.异步编程为js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l8a3b.html" rel="bookmark" class="title">看Storwize V家族如何实现与扩展软件定义存储</a>
					<div>
						 软件定义&quot;的概念近两年来您一定不会陌生,软件定义存储.软件定义计算.软件定义网络.软件定义数据中心.软件定义基础架构,整个企业IT环境可以因软件提升2~3倍的灵活性,节约一半以上的应用上线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7JGkz.html" rel="bookmark" class="title">docker 化运行主机maven工程</a>
					<div>
						问题描述 大家好,我是docker新手,想利用docker运行主机的maven工程,都有哪些方式可以实现呢?谢谢! 解决方案 解决方案二:1.可以到docker的官网查看maven镜像的说明.2.等了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYQ0Ap.html" rel="bookmark" class="title">请问如何利用Spring AOP为属性自动加上前缀</a>
					<div>
						问题描述 比如我有如下类:publicclassUser{privateLongid;@CustomizedAnnotaionprivateStringname;privateStringaddres ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBQYZM.html" rel="bookmark" class="title">TensorFlow教程之完整教程 2&period;5 TensorFlow运作方式入门</a>
					<div>
						本文档为TensorFlow参考文档,本转载已得到TensorFlow中文社区授权. 本篇教程的目的,是向大家展示如何利用TensorFlow使用(经典)MNIST数据集训练并评估一个用于识别手写数字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYO6Ap.html" rel="bookmark" class="title">javascript-关于JSP中链接跳转的问题</a>
					<div>
						问题描述 关于JSP中链接跳转的问题 我用javascript写了一个图片动态转换的效果,然后点击图片会跳入相应链接,如下javascript代码是我从其他项目代码移植过来的,结果我发现当点击进入链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB3NZb.html" rel="bookmark" class="title">请教JS兼容性问题</a>
					<div>
						问题描述 这文件在IE下可以运行,在FF下不能,JS不兼容,那位有空的请帮我改下,谢谢&lt;html&gt;&lt;head&gt;&lt;title&gt;JS内嵌表格&lt;/title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwEOmM.html" rel="bookmark" class="title">H&period;264视频的RTP荷载格式</a>
					<div>
						Status of This Memo    This document specifies an Internet standards track protocol for the   Intern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKR5op.html" rel="bookmark" class="title">剛剛進入電腦運行時按DELETE那就是DOS嗎？</a>
					<div>
						问题描述 剛剛進入電腦運行時按DELETE那就是DOS嗎? 解决方案 解决方案二:那个是BIOS解决方案三:不是!一般情况下按DELETE键是进BIOS配置界面.当然部分BIOS软件是要按F1或F2或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodggXM.html" rel="bookmark" class="title">页面传值-ASP&period;NET页面间传值 绑定到gridview显示</a>
					<div>
						问题描述 ASP.NET页面间传值 绑定到gridview显示 本人ASP.NET新手,正在做一个ASP.NET的报名系统.想实现在A页面填写学生信息,然后跳转到B页面,显示到B页面的gridview ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n0W7z.html" rel="bookmark" class="title">Linux内核中断和异常分析&lpar;下&rpar;</a>
					<div>
						这节,我们继续上,中(以前的日志有)篇目进行分析,结合一个真实的驱动案例来描述linux内核中驱动的中断机制,首先我们先了解一下linux内核中提供的中断接口.      这个接口我们需要包含一个头文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL0BgM.html" rel="bookmark" class="title">Python基于twisted实现简单的web服务器&lowbar;python</a>
					<div>
						本文实例讲述了Python基于twisted实现简单的web服务器,分享给大家供大家参考.具体方法如下: 1. 新建htm文件夹,在这个文件夹中放入显示的网页文件 2. 在htm文件夹的同级目录下,建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKNPmz.html" rel="bookmark" class="title">js实现支持手机滑动切换的轮播图片效果实例&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现支持手机滑动切换的轮播图片效果的方法.分享给大家供大家参考.具体如下: 运行效果如下: 完整实例代码点击此处本站下载. 使用方法案例: &lt;script type=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvX8WM.html" rel="bookmark" class="title">你们导入easeui的时候都没有碰到问题吗 为什么我问题一大堆 。。。。</a>
					<div>
						问题描述 谁来教教我   ........................ 解决方案 是的,Demo里面文件搞得比较乱.解决方案二:我也是又没得人教又没得个详细文档看demo又太乱了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nkevp.html" rel="bookmark" class="title">8月车辆通行费收入增22&percnt;</a>
					<div>
						楚天高速(600035)公告公司2010年8月份车辆通行费收入及折算全程交通量数据.2010年8月份公司车辆通行费收入为7915.12万元,与2009年8月份车辆通行费收入6510.30万元相比, 同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyqGEM.html" rel="bookmark" class="title">如何配置 fail2ban 来保护 Apache 服务器</a>
					<div>
						如何配置 fail2ban 来保护 Apache 服务器 生产环境中的 Apache 服务器可能会受到不同的攻击.攻击者或许试图通过暴力攻击或者执行恶意脚本来获取未经授权或者禁止访问的目录.一些恶意爬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyEedM.html" rel="bookmark" class="title">《深入理解Hadoop（原书第2版）》&mdash;&mdash;1&period;4大数据和事务性系统</a>
					<div>
						1.4大数据和事务性系统 以大数据作为参照来理解事务概念的发展变化是非常重要的.这个问题的讨论会涉及相应的NoSQL数据库.Hadoop系统使用HBase来作为自己的NoSQL数据存储.你也可以使用C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXd7aAp.html" rel="bookmark" class="title">淘宝点点代运营商易淘食融资600万美金</a>
					<div>
						网络餐饮服务平台易淘食继天使融资之后,获得第一笔金额为600万美元的外部投资.易淘食声称是国内首家一站式餐饮业功能性网站平台,为顾客提供网络外卖订餐.餐厅定台.食品饮品订购.以及物流配送等服务.易淘食 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWeoap.html" rel="bookmark" class="title">梁坚：携手阿里打造中国NO&period;1停车大数据</a>
					<div>
						文章讲的是梁坚:携手阿里打造中国NO.1停车大数据,6月18日,由中国互联网协会.中国移动通信联合会指导,世界O2O组织.光合资本主办的夏季世界O2O博览会(O2OEXPO)在北京国家会议中心盛大召开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgWWDOM.html" rel="bookmark" class="title">天天酷跑刀锋忍者搭配技巧</a>
					<div>
						天天酷跑刀锋忍者搭配技巧 搭配宠物神奇牛牛 天天酷跑刀锋忍者即将上线了,作为全新的角色,将搅起新一轮的搭配风暴.那么他搭配什么最好呢?我们就一起来看看吧! 天天酷跑刀锋忍者搭配技巧 &amp;http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr7V3mp.html" rel="bookmark" class="title">linux wifi-deepin无法开启系统无线网</a>
					<div>
						问题描述 deepin无法开启系统无线网 新装的系统不知道为什么,上网搜了好多方法依旧不行,是不是驱动不行啊,哪位大神帮帮忙啊 解决方案 怎么开启无线网 解决方案二: 换最新版本的系统,或者换其他系统 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
